using System;
using System.Reflection;
using System.Collections.Generic;
using System.Text;

namespace SecondaryCode
{
    public class Class1 : MarshalByRefObject
    {
        public void DoWork()
        {
            Console.WriteLine("[{0}] Doing some work.",
                AppDomain.CurrentDomain.FriendlyName);
            Console.WriteLine("[{0}] Domain-Wide value is {1}",
                AppDomain.CurrentDomain.FriendlyName,
                AppDomain.CurrentDomain.GetData("THEVALUE"));

            Console.WriteLine("This domain currently has {0} Assemblies loaded.",
                AppDomain.CurrentDomain.GetAssemblies().Length.ToString());
            foreach (Assembly a in AppDomain.CurrentDomain.GetAssemblies())
            {
                Console.WriteLine("\t{0}", a.GetName().Name);
            }
	
        }
    }
}
