using System;
using System.Text;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using Microsoft.SqlServer.Server;

public partial class UserDefinedFunctions
{
    [Microsoft.SqlServer.Server.SqlFunction]
    public static SqlString NameDisplay(
        SqlString firstName,
        SqlString lastName,
        SqlString middleInitial)
    {
        // we have access to the StringBuilder, a much better
        // concatenator than string addition
        StringBuilder sb = new StringBuilder();
        sb.AppendFormat("{0}, {1} {2}",
            lastName, firstName, middleInitial);
        return new SqlString(sb.ToString());
    }
};

