using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            lblWelcome.Text = "Greetings. Please take a few seconds to fill out this survey.<br/>";
            pnlResults.Visible = false;
            pnlInput.Visible = true;
        }
        else
        {            
            pnlResults.Visible = true;
            pnlInput.Visible = false;
        }
                 
    }
    protected void btnSubmit_Click(object sender, EventArgs e)
    {
        // store survey data in database, etc.

        lblWelcome.Text = "Thanks for submitting your survey.";
        plhResults.Controls.Add(new LiteralControl(
             string.Format("You said your name was <b>{0}</b>, and your favorite color is <b>{1}</b> ({2})",
             txtName.Text, lbColors.SelectedItem.Text, lbColors.SelectedItem.Value)));
    }
    protected void btnCancel_Click(object sender, EventArgs e)
    {
        lblWelcome.Text = "You cancelled your survey submission. Nothing was saved.";
    }
}
