using System;
using System.Collections.Generic;
using System.Web;
using System.Web.Services;
using System.Web.Services.Protocols;

[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.None)]
public class Service : System.Web.Services.WebService
{
    public Service () {

        //Uncomment the following line if using designed components 
        //InitializeComponent(); 
    }

    [WebMethod]
    public string HelloWorld() {
        return "Hello World";
    }

    [WebMethod(Description="Retrieve all Customers")]
    public List<Customer> GetAllCustomers()
    {
        List<Customer> custList = new List<Customer>();
        custList.Add(new Customer("Kevin", "Hoffman", "customer001"));
        custList.Add(new Customer("John", "Doe", "customer002"));

        return custList;
    }
    
}
