using System;
using System.Runtime.Remoting;
using System.Runtime.Remoting.Channels;
using System.Runtime.Remoting.Channels.Ipc;
using System.Collections.Generic;
using System.Text;

namespace SimpleRemoting
{
    class Program
    {
        static void Main(string[] args)
        {
            IpcChannel ipc = new IpcChannel("sampleapp");
            ChannelServices.RegisterChannel(ipc, false);
            RemotingConfiguration.RegisterWellKnownServiceType(
                typeof(HostedObject),
                "HostedObject.rem",
                WellKnownObjectMode.Singleton);

            Console.WriteLine("Remoting host activated... Press enter to stop.");
            Console.ReadLine();
        }
    }
}
