using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.Remoting.Lifetime;

using SharedLibrary;

namespace TcpRemoting
{
    public class SharedObject : MarshalByRefObject, ISharedObject
    {
        #region ISharedObject Members

        public void ProcessCustomer(Customer cust)
        {
            Console.WriteLine("Processing customer " + cust.ID);
        }

        public override object InitializeLifetimeService()
        {
            return null;
        }

        public Customer GetCustomer(string ID)
        {
            Customer cust = new Customer();
            cust.ID = ID;
            cust.FirstName = "Auto";
            cust.LastName = "Generated";
            return cust;
        }

        #endregion
    }
}
