using System;
using System.Reflection;
using System.Collections.Generic;
using System.Text;

namespace AppDomainSample
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("[{0}] Main Application starting.", AppDomain.CurrentDomain.FriendlyName);
            Console.WriteLine("Main AppDomain has {0} Assemblies Loaded.", 
                AppDomain.CurrentDomain.GetAssemblies().Length.ToString());

            AppDomain ad = AppDomain.CreateDomain("WorkerDomain");
            ad.SetData("THEVALUE", "How much would could a woodchuck chuck...");
            SecondaryCode.Class1 remoteType = 
                (SecondaryCode.Class1)ad.CreateInstanceFromAndUnwrap("SecondaryCode.dll", 
                "SecondaryCode.Class1");

            remoteType.DoWork();
            AppDomain.Unload(ad);

            Console.ReadLine();
          
        }
    }
}
