using System;
using System.IO;
using System.Security;
using System.Security.Cryptography;
using System.Collections.Generic;
using System.Text;

namespace JohnSend
{
    class Program
    {
        static void Main(string[] args)
        {
            RSACryptoServiceProvider rsa = new RSACryptoServiceProvider();
            StreamReader sr = File.OpenText(@"..\..\..\..\JanesKey.xml");
            string rsaXml = sr.ReadToEnd();
            sr.Close();
            rsa.FromXmlString(rsaXml);

            string messageToJane = "Hey Jane, this is John. How are things?";

            byte[] encrypted = rsa.Encrypt(System.Text.ASCIIEncoding.ASCII.GetBytes(messageToJane), false);

            FileStream fs = new FileStream(@"..\..\..\..\MessageToJane.dat", FileMode.Create);
            fs.Write(encrypted, 0, encrypted.Length);
            fs.Close();
        }
    }
}
