using System;
using System.Collections.Generic;
using System.Text;

namespace AnnotateDS
{
    class Program
    {
        static void Main(string[] args)
        {
            CustomerDataSet custData = new CustomerDataSet();

            // populate data from some location...

            foreach (CustomerDataSet.Customer cust in custData.Customers)
            {
                Console.WriteLine("Customer {0} {1}", cust.FirstName, cust.LastName);
                Console.WriteLine("Order History:");
                foreach (CustomerDataSet.OrderHistoryItem histItem in cust.GetOrderHistory())
                {
                    Console.WriteLine("\t{0} - ${1:00.00}", histItem.OrderID,
                        histItem.TotalPrice);
                }
            }
          
        }
    }
}
