using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {        
        if (Page.IsPostBack)
            Response.Write("This is a postback request.");
        else
        {
            Response.Write("This is a new request.");
        }
        Response.Write("<br/>Page_Load called.<br/>");
    }

    protected override void OnPreInit(EventArgs e)
    {
        Response.Write("Pre-Init called.<br/>");
        base.OnPreInit(e);
    }

    protected override void OnInit(EventArgs e)
    {
        Response.Write("Init called.<br/>");
        base.OnInit(e);
    }

    protected override void OnInitComplete(EventArgs e)
    {
        Response.Write("Init completed.<br/>");
        base.OnInitComplete(e);
    }

    protected override void OnLoad(EventArgs e)
    {
        Response.Write("Load called.<br/>");
        base.OnLoad(e);
    }

    protected override void OnLoadComplete(EventArgs e)
    {
        Response.Write("Load completed.<br/>");
        base.OnLoadComplete(e);
    }

    protected override void OnUnload(EventArgs e)
    {
        // cannot display output here because Response/Request
        // are not available during this stage.
        base.OnUnload(e);
    }
    protected void btnSubmit_Click(object sender, EventArgs e)
    {
        Response.Write("You clicked the submit button.<br/>");
    }
}
