using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        lblStatus.Text = string.Format("This is a(n) {0} session!",
            Session.IsNewSession ? "New" : "Old");
        if (Session.IsNewSession)
            Session["counter"] = 0;

        UpdateCounterDisplay();

        Response.Write("<hr/>");
        foreach (string key in Session.Keys)
        {
            Response.Write(string.Format("<B>{0}</B>: {1}<br/>", key, Session[key]));
        }
        Response.Write("<hr/>");
    }

    protected void UpdateCounterDisplay()
    {
        lblCounter.Text = string.Format("Counter value is <b>{0}</b>", Session["counter"]);
    }
    protected void btnSubmit_Click(object sender, EventArgs e)
    {
        Session["counter"] = (int)Session["counter"] + 1;
        UpdateCounterDisplay();

    }
}
