using System;
using System.Text;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        UpdateCounterLabel();
        StringBuilder sb = new StringBuilder();
        System.Collections.Generic.List<string> appUsers =
            (System.Collections.Generic.List<string>)Application["users"];
        foreach (string userName in appUsers)
        {
            sb.AppendFormat("{0}<br/>", userName);
        }
        plhUsers.Controls.Add(new LiteralControl(sb.ToString()));
    }
    protected void btnSubmit_Click(object sender, EventArgs e)
    {
        Session["counter"] = (int)Session["counter"] + 1;
        UpdateCounterLabel();
    }

    private void UpdateCounterLabel()
    {
        lblCounter.Text = string.Format(
            "Counter value is <b>{0}</b>",
            Session["counter"]);
    }
}
