using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace GDIPlus2
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();            
        }

        // hollow rectangle
        private void button1_Click(object sender, EventArgs e)
        {     
            using (Graphics g = pictureBox1.CreateGraphics())
            {
                using (Pen p = new Pen(Color.Red))
                {
                    g.DrawRectangle(p, 1.0f, 1.0f, pictureBox1.Width - 10, pictureBox1.Height - 10);
                }
            }
        }

        // clear image
        private void button5_Click(object sender, EventArgs e)
        {
            pictureBox1.Image = null;
        }

        // filled rectangle
        private void button2_Click(object sender, EventArgs e)
        {
            using (Graphics g = pictureBox1.CreateGraphics())
            {
                using (SolidBrush brush = new SolidBrush(Color.DarkOrchid))
                {
                    g.FillRectangle(brush, 1.0f, 1.0f, pictureBox1.Width - 10, pictureBox1.Height - 10);
                }
            }
        }

        // hollow ellipse
        private void button3_Click(object sender, EventArgs e)
        {
            using (Graphics g = pictureBox1.CreateGraphics())
            {
                using (Pen p = new Pen(Color.DarkBlue))
                {
                    g.DrawEllipse(p, 1.0f, 1.0f, pictureBox1.Width - 10, pictureBox1.Height - 10);
                }
                
            }
        }


        // filled ellipse
        private void button4_Click(object sender, EventArgs e)
        {
            using (Graphics g = pictureBox1.CreateGraphics())
            {
                using (SolidBrush b = new SolidBrush(Color.Brown))
                {
                    g.FillEllipse(b, 1.0f, 1.0f, pictureBox1.Width - 10, pictureBox1.Height - 10);
                }
            }
        }
    }
}